unit sRegisterIt;
{$I sDefs.inc}

interface

uses
  {$IFNDEF ALITE}
    sCustomComboBox, sCurrencyEdit, sSpinEdit, sMemo, sRadioButton, sComboEdit,
    sPageControl, sCustomMenuManager, sCurrEdit, sToolEdit, sMonthCalendar,
    sHintManager, sBevel, sGroupBox, sStatusBar, sGauge, sTrackBar, sCalculator,
    sCustomMaskEdit, sCustomListBox, sEditorsManager,
    sControlsManager,
  {$ENDIF}
  {$IFDEF USEIBASE} sIBControls, sIBFilter, {$ENDIF}
  {$IFDEF USEADO}sADOControls, {$ENDIF USEADO}
  {$IFDEF USEDB}sBDEControls, sBDEComps,{$ENDIF}
  {$IFDEF TEST}sMDIManager, {$ENDIF TEST}
  Classes, sEdit, sCustomLabel,
  sCheckBox, sStyleUtil, sPanel, sCustomButton;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('sStyle', [
    TsEdit, TsCheckBox, TsPanel, TsButton
  {$IFNDEF ALITE}
    ,TsMemo, TsComboEdit, TsCurrencyEdit, TsMaskEdit, TsListBox, TsDateEdit,
    TsGauge, TsTrackBar, TsRadioButton, TsPageControl, TsStatusBar, TsDirectoryEdit,
    TsContainer, TsSpeedButton, TsColorSelect, TsCalcEdit, TsFileNameEdit,
    TsToolBar, TsSpinEdit, TsBevel, TsGroupBox, {TsCustomComboBox}TsComboBox, TsLabel,
    TsDragBar, TsWebLabel
  {$ENDIF}
    ]);

  {$IFNDEF ALITE}
  RegisterComponents('sTools', [
    {$IFDEF USEIBASE}TsIBFilter, TsIBComboBox, {$ENDIF}
    {$IFDEF USEADO}TsADOComboBox, {$ENDIF}
    {$IFDEF USEDB}TsBDEComboBox, {$ENDIF}
    {$IFDEF TEST} TsMDIManager, {$ENDIF}
    TsMonthCalendar, TsMenuManager, TsHintManager,
    TsCalculator, TsEditorsManager, TsControlsManager]);

  RegisterNoIcon([TsTabSheet]);
  RegisterClasses([TsTabSheet]);
  {$ENDIF}
end;

end.
